---
en1:

  vars:
    skylab_location: Cambridge

  children:
    domain:
      children:

        cluster:
          hosts:
            canaveral:
              ansible_host: 10.42.101.10
              skylab_description: Compute and Storage Node
            baikonur:
              ansible_host: 10.42.101.11
              skylab_description: Compute and Storage Node
            vandenberg:
              ansible_host: 10.42.101.12
              skylab_description: Compute and Storage Node
            andoya:
              ansible_host: 10.42.101.13
              skylab_description: Auxilary Compute Node
            jiuquan:
              ansible_host: 10.42.101.14
              skylab_description: Auxilary Compute Node

        datastore:
          hosts:
            canaveral:
              skylab_datastore_block: /dev/sda
            baikonur:
              skylab_datastore_block: /dev/sda
            vandenberg:
              skylab_datastore_block: /dev/sda

        hosts:
          3d-printer: {}
          mediastore: {}
          backstore: {}

    local:
      hosts:
        core: {}
        switch-1: {}
        switch-2: {}
        wap-1: {}
        wap-2: {}
        wap-3: {}
        printer: {}
